Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# TAO_Security_Current Class Reference

Implementation of the SecurityLevel2::Current interface. More...

`#include <Security_Current.h>`

Inheritance diagram for TAO_Security_Current:

[legend]
Collaboration diagram for TAO_Security_Current:

[legend]
List of all members.

## Public Member Functions
| TAO_Security_Current (size_t tss_slot, const char *orb_id)
| Constructor.
size_t | tss_slot (void) const
| Return the TSS slot ID assigned to the "SecurityCurrent" object.
SecurityLevel1::Current Methods
These methods are founds in the SecurityLevel1::Current interface.
virtual Security::AttributeList * | get_attributes (const Security::AttributeTypeList &attributes) throw (CORBA::SystemException)
SecurityLevel2::Current Methods
These methods are founds in the SecurityLevel2::Current interface.
virtual SecurityLevel2::ReceivedCredentials_ptr | received_credentials () throw (CORBA::SystemException)
## Protected Member Functions
| ~TAO_Security_Current (void)
int | init (void)
TAO::Security::Current_Impl * | implementation (void)
| Set the TSS Security::Current implementation.
## Private Member Functions
| TAO_Security_Current (const TAO_Security_Current &)
void | operator= (const TAO_Security_Current &)
## Private Attributes
size_t const | tss_slot_
| TSS slot assigned to this object.
CORBA::String_var | orb_id_
| The ORBid of the ORB with which this object is registered.
TAO_ORB_Core * | orb_core_

## Detailed Description

Implementation of the SecurityLevel2::Current interface.

This object can be used to obtain session related security information about the current execution context.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Security_Current::TAO_Security_Current | ( | size_t | tss_slot,
|  | const char * | orb_id
| ) |

| Constructor.

TAO_Security_Current::~TAO_Security_Current | ( | void |  | ) | `[protected]`

| Destructor Protected to force allocation on the heap.

TAO_Security_Current::TAO_Security_Current | ( | const TAO_Security_Current & |  | ) | `[private]`

| Prevent copying through the copy constructor and the assignment operator.

## Member Function Documentation

Security::AttributeList * TAO_Security_Current::get_attributes | ( | const Security::AttributeTypeList & | attributes | ) | throw (CORBA::SystemException)`[virtual]`

| Return the security attributes corresponding to the types in the given attribute type list associated with the current request.

ACE_INLINE TAO::Security::Current_Impl * TAO_Security_Current::implementation | ( | void |  | ) | `[protected]`

| Set the TSS Security::Current implementation. The pointer is actually one to a concrete implementation provided by the underlying security mechanism. For example, SSLIOP implements the SecurityLevel2::Current interface. Similarly, SECIOP would do the same. There is no function that places the implementation pointer in TSS. The underlying security mechanism does that.

int TAO_Security_Current::init | ( | void |  | ) | `[protected]`

| Fully initialize this object. This method is used predominantly to set the ORB core pointer.

void TAO_Security_Current::operator= | ( | const TAO_Security_Current & |  | ) | `[private]`

| Prevent copying through the copy constructor and the assignment operator.

SecurityLevel2::ReceivedCredentials_ptr TAO_Security_Current::received_credentials | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the Credentials received from the client associate with the current request.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE size_t TAO_Security_Current::tss_slot | ( | void |  | ) | const

| Return the TSS slot ID assigned to the "SecurityCurrent" object. The concrete TSS SecurityCurrent implementations will each use this slot ID.

## Member Data Documentation

TAO_ORB_Core* TAO_Security_Current::orb_core_`[private]`

| Pointer to the ORB Core corresponding to the ORB with which this object is registered. Reimplemented from CORBA::Object.

CORBA::String_var TAO_Security_Current::orb_id_`[private]`

| The ORBid of the ORB with which this object is registered.

size_t const TAO_Security_Current::tss_slot_`[private]`

| TSS slot assigned to this object.

The documentation for this class was generated from the following files:

- Security_Current.h
- Security_Current.cpp
- Security_Current.inl